Upstream information

CVE-2006-7203 at MITRE

Description

The compat_sys_mount function in fs/compat.c in Linux kernel 2.6.20 and earlier allows local users to cause a denial of service (NULL pointer dereference and oops) by mounting a smbfs file system in compatibility mode ("mount -t smbfs").

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:L/AC:H/Au:N/C:N/I:N/A:C
Access Vector Local
Access Complexity High
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
SUSE Bugzilla entry: 274112 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE LINUX 10.0
  • Intel-536ep >= 4.69-0.2
  • kernel-bigsmp >= 2.6.13-15.16
  • kernel-bigsmp-nongpl >= 2.6.13-15.16
  • kernel-default >= 2.6.13-15.16
  • kernel-default-nongpl >= 2.6.13-15.16
  • kernel-iseries64 >= 2.6.13-15.16
  • kernel-ppc64 >= 2.6.13-15.16
  • kernel-smp >= 2.6.13-15.16
  • kernel-smp-nongpl >= 2.6.13-15.16
  • kernel-source >= 2.6.13-15.16
  • kernel-syms >= 2.6.13-15.16
  • kernel-um >= 2.6.13-15.16
  • kernel-um-nongpl >= 2.6.13-15.16
  • kernel-xen >= 2.6.13-15.16
  • kernel-xen-nongpl >= 2.6.13-15.16
  • um-host-kernel >= 2.6.13-15.16
Novell Linux Desktop 9 for x86_64
  • kernel-default >= 2.6.5-7.286
  • kernel-smp >= 2.6.5-7.286
  • kernel-source >= 2.6.5-7.286
  • kernel-syms >= 2.6.5-7.286
Builds
YOU Patch Nr: 11534
Novell Linux Desktop 9 for x86
  • kernel-bigsmp >= 2.6.5-7.286
  • kernel-default >= 2.6.5-7.286
  • kernel-smp >= 2.6.5-7.286
  • kernel-source >= 2.6.5-7.286
  • kernel-syms >= 2.6.5-7.286
Builds
YOU Patch Nr: 11535
Open Enterprise Server
  • kernel-bigsmp >= 2.6.5-7.286
  • kernel-debug >= 2.6.5-7.286
  • kernel-default >= 2.6.5-7.286
  • kernel-smp >= 2.6.5-7.286
  • kernel-source >= 2.6.5-7.286
  • kernel-syms >= 2.6.5-7.286
  • kernel-um >= 2.6.5-7.286
  • um-host-install-initrd >= 1.0-48.22
  • um-host-kernel >= 2.6.5-7.286
Builds
YOU Patch Nr: 11535